// Karma configuration for unit testing
// Generated on Tue Dec 03 2013 11:33:27 GMT+0100 (CET)

module.exports = function(config) {
  config.set({

    // base path, that will be used to resolve files and exclude
    basePath: '../..',


    // frameworks to use
    frameworks: ['jasmine'],


    // list of files / patterns to load in the browser
    files: [
      'lib/AngularJS-1.2.5/angular.js',
      'lib/AngularJS-1.2.5/angular-route.js',
      'lib/AngularJS-1.2.5/angular-resource.js',
      'lib/UI-bootstrap/ui-bootstrap-tpls-0.7.0.js',
      'test/lib/AngularJS-1.2.5/angular-mocks.js',
      'scripts/modules.js',
      'scripts/controllers.js',
      'scripts/directives.js',
      'scripts/services.js',
      'test/unit/*_spec.js'
    ],


    // list of files to exclude
    exclude: [

    ],


    // test results reporter to use
    // possible values: 'dots', 'progress', 'junit', 'growl', 'coverage'
    reporters: ['progress', 'spec', 'coverage', 'osx', 'junit'],

    preprocessors: {
      // source files, that you wanna generate coverage for
      // do not include tests or libraries
      // (these files will be instrumented by Istanbul)
      'site/scripts/controllers.js': ['coverage']
    },

    // optionally, configure the reporter
    coverageReporter: {
      type: 'html',
      dir: 'test/karma/test_out/coverage-unit/'
    },

    // the default configuration
    junitReporter: {
      outputFile: 'test/karma/test_out/test-results-unit.xml',
      suite: ''
    },


    // web server port
    port: 9876,


    // enable / disable colors in the output (reporters and logs)
    colors: true,


    // level of logging
    // possible values: config.LOG_DISABLE || config.LOG_ERROR || config.LOG_WARN || config.LOG_INFO || config.LOG_DEBUG
    logLevel: config.LOG_INFO,


    // enable / disable watching file and executing tests whenever any file changes
    autoWatch: true,


    // Start these browsers, currently available:
    // - Chrome
    // - ChromeCanary
    // - Firefox
    // - Opera (has to be installed with `npm install karma-opera-launcher`)
    // - Safari (only Mac; has to be installed with `npm install karma-safari-launcher`)
    // - PhantomJS
    // - IE (only Windows; has to be installed with `npm install karma-ie-launcher`)
    browsers: ['Chrome', 'Firefox', 'Safari'],


    // If browser does not capture in given timeout [ms], kill it
    captureTimeout: 60000,


    // Continuous Integration mode
    // if true, it capture browsers, run tests and exit
    singleRun: false,

    plugins: [
            'karma-junit-reporter',
            'karma-chrome-launcher',
            'karma-firefox-launcher',
            'karma-safari-launcher',
            'karma-jasmine',
            'karma-coverage',
            'karma-ng-scenario',
            'karma-osx-reporter',
            'karma-spec-reporter'
        ]
  });
};